#ifndef __theBiasPlanet_hiUnoExtensions_models_CplusplusGreeter_hpp__
	#define __theBiasPlanet_hiUnoExtensions_models_CplusplusGreeter_hpp__
	
	#include <set>
	#include <com/sun/star/lang/IllegalArgumentException.hpp>
	#include <com/sun/star/lang/XInitialization.hpp>
	#include <com/sun/star/uno/Reference.hxx>
	#include <com/sun/star/uno/RuntimeException.hpp>
	#include <com/sun/star/uno/XComponentContext.hpp>
	#include <cppuhelper/compbase2.hxx>
	#include <rtl/ustring.hxx>
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoComponentBases/UnoComponentBase.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContexts/RemoteUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoDatumTypes/hiUnoExtensions/XGreeter.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::lang;
	using namespace ::com::sun::star::uno;
	using namespace ::cppu;
	using namespace ::rtl;
	using namespace ::theBiasPlanet::unoDatumTypes::hiUnoExtensions;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoComponentBases;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContexts;
	
	namespace theBiasPlanet {
		namespace hiUnoExtensions {
			namespace models {
				class CplusplusGreeter: public ImplInheritanceHelper2 <UnoComponentBase, XInitialization, XGreeter> {
					private:
						static string const c_nameOfThisClass;
						static set <string> const c_unoServiceNames;
						static set <string> const c_unoCompoundInterfaceNames;
						UnoObjectPointer <RemoteUnoObjectsContext> i_remoteUnoObjectsContext;
						// # Add the other member variables Start
						string i_message;
						// # Add the other member variables End
					public:
						static OUString SAL_CALL getImplementationNameStatically ();
						static Sequence <OUString> SAL_CALL getSupportedUnoCompoundInterfaceNamesStatically ();
						static ::com::sun::star::uno::Reference <XInterface> createInstance (::com::sun::star::uno::Reference <XComponentContext> const & a_underlyingUnoObjectsContextInXComponentContext);
						CplusplusGreeter (::com::sun::star::uno::Reference <XComponentContext> const & a_underlyingUnoObjectsContextInXComponentContext);
						~CplusplusGreeter ();
						void SAL_CALL initialize (Sequence <Any> const & a_arguments) override;
						OUString SAL_CALL getImplementationName () override;
						sal_Bool SAL_CALL supportsService (OUString const & a_unoCompoundInterfaceName) override;
						Sequence <OUString> SAL_CALL getSupportedServiceNames () override;
						OUString SAL_CALL sayHi (OUString const & a_name) override;
				};
			}
		}
	}
#endif

