#ifndef __theBiasPlanet_unoUtilities_connection_UnoConnection_hpp__
	#define __theBiasPlanet_unoUtilities_connection_UnoConnection_hpp__
	
	#include <list>
	#include <optional>
	#include <com/sun/star/bridge/XBridge.hpp>
	#include <com/sun/star/bridge/XInstanceProvider.hpp>
	#include <com/sun/star/frame/XTerminateListener.hpp>
	#include <com/sun/star/lang/EventObject.hpp>
	#include <com/sun/star/lang/XEventListener.hpp>
	#include <com/sun/star/uno/Reference.hxx>
	#include <cppuhelper/compbase1.hxx>
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoComponentBases/UnoComponentBase.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContexts/LocalUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContexts/RemoteUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::bridge;
	using namespace ::com::sun::star::frame;
	using namespace ::com::sun::star::lang;
	using namespace ::cppu;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoComponentBases;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContexts;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace connection {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoConnection: public ImplInheritanceHelper1 <UnoComponentBase, ::com::sun::star::lang::XEventListener> {
					public:
						class InitialUnoObjectsProvider: public ImplInheritanceHelper1 <UnoComponentBase, XInstanceProvider> {
							private:
								UnoObjectPointer <LocalUnoObjectsContext> & i_localUnoObjectsContext;
							public:
								InitialUnoObjectsProvider (UnoObjectPointer <LocalUnoObjectsContext> & a_localUnoObjectsContext);
								virtual ~InitialUnoObjectsProvider ();
								virtual Reference <XInterface> SAL_CALL getInstance (OUString const & a_initialUnoObjectName) override;
						};
						class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoConnectionEventsListener {
							public:
								virtual void connected (UnoObjectPointer <UnoConnection> && a_unoConnection) = 0;
								virtual void disconnected (UnoObjectPointer <UnoConnection> && unoConnection) = 0;
						};
						class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ OfficeTerminationQueryListener: public ImplInheritanceHelper1 <UnoComponentBase, XTerminateListener> {
							private:
								// this is required for C++ because any inner class cannot automatically access the outer class instance.
								UnoObjectPointer <UnoConnection> i_unoConnection;
							public:
								OfficeTerminationQueryListener (UnoObjectPointer <UnoConnection> const & a_unoConnection);
								virtual ~OfficeTerminationQueryListener ();
								virtual void SAL_CALL queryTermination (::com::sun::star::lang::EventObject const & a_event) override;
								virtual void SAL_CALL notifyTermination (::com::sun::star::lang::EventObject const & a_event) override;
								virtual void SAL_CALL disposing (::com::sun::star::lang::EventObject const & a_event) override;
						};
					private:
						UnoObjectPointer <RemoteUnoObjectsContext> i_remoteUnoObjectsContext; // 'this' is the owner.
						UnoObjectPointer <XComponent> i_unoBridge; // 'this' is the owner.
						UnoObjectPointer <InitialUnoObjectsProvider> i_initialUnoObjectsProvider; // 'this' is the owner.
						optional <list <UnoConnectionEventsListener *>> i_eventsListeners; // 'this' is the owner.
						optional <UnoObjectPointer <OfficeTerminationQueryListener>> i_officeTerminationQueryListener; // 'this' is the owner.
					public:
						// a_unoBridge cannot be const in order for it to be converterd to UnoObjectPointer <XComponent> by the template constructor.
						UnoConnection (UnoObjectPointer <XComponentContext> const & a_originalRemoteUnoObjectsContext, string const & a_unoConnectionIdentification, UnoObjectPointer <XBridge> & a_unoBridge, UnoObjectPointer <InitialUnoObjectsProvider> const & a_initialUnoObjectsProvider, optional <list <UnoConnectionEventsListener *>> const & a_eventsListeners);
						virtual ~UnoConnection ();
						virtual UnoObjectPointer <RemoteUnoObjectsContext> & getRemoteUnoObjectsContext () final;
						virtual void disconnect () final;
						virtual void SAL_CALL disposing (EventObject const & a_event) override final;
				};
			}
		}
	}
#endif

