#ifndef __theBiasPlanet_unoUtilities_constantsGroups_propertyNamesSets_UnoPdfExportingPropertyNamesSet_hpp__
	#define __theBiasPlanet_unoUtilities_constantsGroups_propertyNamesSets_UnoPdfExportingPropertyNamesSet_hpp__
	
	#include <string>
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace constantsGroups {
				namespace propertyNamesSets {
					class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoPdfExportingPropertyNamesSet : public UnoPropertyNamesSet {
						public:
							// General
							static string const c_pagesRangeSpecification_string; // '' -> all the pages, '1-2,4', etc.
							static string const c_exportedSections_any; // the selection gotten by 'XSelectionSupplier.getSelection ()' of the controller of the document, or an arbitrary object (for example, a cells range)
							static string const c_losslessCompressionIsUsed_boolean; // 'false' -> a JPEG compression is used
							static string const c_jpegQuality_short; // in %
							static string const c_imageResolutionsAreReduced_boolean;
							static string const c_maximumImageResolution_short; // in DPI: 75, 150, 300, 600, or 1200
							static string const c_watermarkString_string;
							static string const c_originalDocumentIsEmbedded_boolean;
							static string const c_pdfVersionCode_short; // '0' -> PDF 1.4, '1' -> PDF/A-1
							static string const c_taggedPdfIsUsed_boolean;
							static string const c_formFieldsAreExported_boolean;
							static string const c_formsTypeCode_short; // '0' -> FDF, '1' -> PDF, '2' -> HTML, '3' -> XML
							static string const c_someDuplicateFieldNamesAreAllowed_boolean;
							static string const c_bookmarksAreExported_boolean;
							static string const c_placeholdersAreExported_boolean;
							static string const c_commentsAreExported_boolean;
							static string const c_automaticallyInsertedEmptyPagesAreSkipped_boolean;
							static string const c_formXobjectsAreUsed_boolean;
							static string const c_targetFileIsShownAfterExportingHasBeenCompleted_boolean;
							// Initial View
							static string const c_forAfterExportingShowingOfTargetFileInitialViewStyleCode_short; // '0' -> pages only, '1' -> bookmarks and pages, '2' -> thumbnails and pages
							static string const c_forAfterExportingShowingOfTargetFileInitialPageNumber_short;
							static string const c_forAfterExportingShowingOfTargetFileInitialMagnificationTypeCode_short; // '0' -> default, '1' -> the whole page is fitted into the window, '2' -> the page width is fitted into the window, '3' -> the page contents are supposed to be fitted into the window, but not necessarily are so
							static string const c_forAfterExportingShowingOfTargetFileInitialZoomFactor_short; // in %
							static string const c_forAfterExportingShowingOfTargetFileInitialPageLayoutStyleCode_short; // '0' -> default, '1' -> single page, '2' -> continuous, '3' -> each 2 facing pages are shown abreast and those pairs are shown continuously connected vertically
							static string const c_forAfterExportingShowingOfTargetFileFirstPageIsOnLeft_boolean; // valid only when 'PageLayout' is '3'
							// User Interface
							static string const c_forAfterExportingShowingOfTargetFileWindowIsResizedToInitialPage_boolean;
							static string const c_forAfterExportingShowingOfTargetFileWindowIsCenteredOnScreen_boolean;
							static string const c_forAfterExportingShowingOfTargetFileWindowIsOpenedInFullScreenMode_boolean;
							static string const c_forAfterExportingShowingOfTargetFileDocumentTitleIsShown_boolean;
							static string const c_forAfterExportingShowingOfTargetFileTransitionEffectsAreUsed_boolean;
							static string const c_forAfterExportingShowingOfTargetFileMenubarIsHidden_boolean;
							static string const c_forAfterExportingShowingOfTargetFileToolbarIsHidden_boolean;
							static string const c_forAfterExportingShowingOfTargetFileWindowControlsAreHidden_boolean;
							static string const c_forAfterExportingShowingOfTargetFileOpenedBookmarkLevels_short; // '-1' -> all
							// Links
							static string const c_bookmarksAreExportedAsNamedDestinations_boolean;
							static string const c_documentLinksAreConvertedToPdfTargets_boolean;
							static string const c_relativeFileLinksAreExported_boolean;
							static string const c_crossDocumentsLinksViewerCode_short; // '0' -> the default viewer, '1' -> a PDF reader application, '2' -> an internet browser
							// Security
							static string const c_fileIsEncrypted_boolean;
							static string const c_openingPassword_string;
							static string const c_someActionsAreRestricted_boolean;
							static string const c_restrictedActionsPassword_string;
							static string const c_printingRestrictionCode_short; // '0' -> not permitted, '1' -> only in a low resolution (150 DPI), '2' -> also in high resolutions
							static string const c_changingRestrictionCode_short; // '0' -> not permitted, '1' -> inserting, deleting, and rotating pages, '2' -> filling in form fields, '3' -> commenting and filling in form fields, '4' -> any except extracting pages
							static string const c_copyingOfContentsIsAllowed_boolean;
							static string const c_textAccessForAccessibilityToolsIsAllowed_boolean;
							// Digital Signature
							static string const c_fileIsSigned_boolean;
							static string const c_signatureCertificate_com_sun_star_security_XCertificate;
							static string const c_signatureCertificatePassword_string;
							static string const c_signatureLocation_string;
							static string const c_signatureReason_string;
							static string const c_signatureContactInformation_string;
							static string const c_signatureTimeStampAuthorityUrl_string;
					};
				}
			}
		}
	}
#endif

