#include <optional>
#include <string>
#include <com/sun/star/awt/XWindow.hpp>
#include <com/sun/star/beans/NamedValue.hpp>
#include <com/sun/star/beans/PropertyValue.hpp>
#include <com/sun/star/beans/XPropertySet.hpp>
#include <com/sun/star/bridge/XBridgeFactory.hpp>
#include <com/sun/star/bridge/XInstanceProvider.hpp>
#include <com/sun/star/connection/XConnector.hpp>
#include <com/sun/star/container/XIndexAccess.hpp>
#include <com/sun/star/container/XNameContainer.hpp>
#include <com/sun/star/container/XNamed.hpp>
#include <com/sun/star/document/XDocumentEventBroadcaster.hpp>
#include <com/sun/star/document/XDocumentEventListener.hpp>
#include <com/sun/star/frame/XComponentLoader.hpp>
#include <com/sun/star/frame/XDesktop.hpp>
//#include <com/sun/star/frame/XDesktop2.hpp>
#include <com/sun/star/frame/XDispatchProvider.hpp>
#include <com/sun/star/frame/XDispatchResultListener.hpp>
#include <com/sun/star/frame/XFrames.hpp>
#include <com/sun/star/frame/XModel.hpp>
#include <com/sun/star/frame/XStorable2.hpp>
#include <com/sun/star/frame/XSynchronousDispatch.hpp>
#include <com/sun/star/frame/XTerminateListener.hpp>
#include <com/sun/star/lang/XComponent.hpp>
#include <com/sun/star/lang/XEventListener.hpp>
#include <com/sun/star/lang/XMultiComponentFactory.hpp>
#include <com/sun/star/security/XCertificate.hpp>
#include <com/sun/star/sheet/XSpreadsheet.hpp>
#include <com/sun/star/sheet/XSpreadsheets.hpp>
#include <com/sun/star/script/provider/XScript.hpp>
#include <com/sun/star/script/provider/XScriptProvider.hpp>
#include <com/sun/star/script/provider/XScriptProviderSupplier.hpp>
#include "com/sun/star/sheet/XSpreadsheetDocument.hpp"
#include <com/sun/star/text/XText.hpp>
#include <com/sun/star/text/XTextDocument.hpp>
#include <com/sun/star/text/XTextViewCursor.hpp>
#include <com/sun/star/text/XTextViewCursorSupplier.hpp>
#include <com/sun/star/uno/Any.h>
#include <com/sun/star/uno/Type.hxx>
#include <com/sun/star/uno/Reference.hxx>
#include <com/sun/star/util/XCloseable.hpp>
#include <com/sun/star/util/XURLTransformer.hpp>
#include <com/sun/star/xml/crypto/XSEInitializer.hpp>
#include <cppu/unotype.hxx>
#include <rtl/ustring.hxx>
#include "theBiasPlanet/unoDatumTypes/unoUtilities/officeInstance/XOfficeInstance.hpp"
#include "theBiasPlanet/unoUtilities/connection/UnoConnection.hpp"
#include "theBiasPlanet/unoUtilities/displayElements/UnoFrame.hpp"
#include "theBiasPlanet/unoUtilities/displayElements/UnoDesktop.hpp"
#include "theBiasPlanet/unoUtilities/officeInstance/OfficeInstance.hpp"
#ifdef __theBiasPlanet_unoUtilities__
	#include "theBiasPlanet/unoUtilities/collectionsHandling/UnoSequenceHandler.tpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.tpp"
	#include "theBiasPlanet/unoUtilities/unoDataHandling/UnoDatumConverter.tpp"
#else
	#include "theBiasPlanet/unoUtilities/collectionsHandling/UnoSequenceHandler.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoDataHandling/UnoDatumConverter.hpp"
#endif
#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"

using namespace ::com::sun::star::awt;
using namespace ::com::sun::star::beans;
using namespace ::com::sun::star::bridge;
using namespace ::com::sun::star::connection;
using namespace ::com::sun::star::container;
using namespace ::com::sun::star::document;
using namespace ::com::sun::star::frame;
using namespace ::com::sun::star::script::provider;
using namespace ::com::sun::star::security;
using namespace ::com::sun::star::sheet;
using namespace ::com::sun::star::text;
using namespace ::com::sun::star::uno;
using namespace ::com::sun::star::util;
using namespace ::com::sun::star::xml::crypto;
using namespace ::rtl;
using namespace ::theBiasPlanet::unoDatumTypes::unoUtilities::officeInstance;
using namespace ::theBiasPlanet::unoUtilities::collectionsHandling;
using namespace ::theBiasPlanet::unoUtilities::connection;
using namespace ::theBiasPlanet::unoUtilities::officeInstance;
using namespace ::theBiasPlanet::unoUtilities::pointers;
using namespace ::theBiasPlanet::unoUtilities::unoDataHandling;

template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <UnoConnection>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <UnoConnection::InitialUnoObjectsProvider>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <UnoConnection::OfficeTerminationQueryListener>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <OfficeInstance>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <UnoDesktop>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <UnoFrame>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <LocalUnoObjectsContext>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <RemoteUnoObjectsContext>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XBridge>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XBridgeFactory>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XCertificate>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XComponent>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XComponentContext>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XComponentLoader>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XConnection>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XConnector>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XController>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDesktop>;
//template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDesktop2>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDispatch>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDispatchResultListener>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDocumentEventListener>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDocumentEventBroadcaster>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XFrame>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XInterface>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XIndexAccess>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XModel>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XMultiComponentFactory>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XNamed>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XNotifyingDispatch>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XOfficeInstance>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XSecurityEnvironment>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XStatusListener>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XSpreadsheet>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XSpreadsheets>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XSpreadsheetDocument>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XSynchronousDispatch>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XTerminateListener>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XText>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XTextDocument>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XTextViewCursor>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XXMLSecurityContext>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XWindow>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XScript>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XScriptProvider>;
template class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XScriptProviderSupplier>;
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDocumentEventBroadcaster>::UnoObjectPointer (Reference <XInterface> const & a_sourcePointer, typename enable_if <!is_same <XDocumentEventBroadcaster, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XFrame>::UnoObjectPointer (Reference <XInterface> const & a_sourcePointer, typename enable_if <!is_same <XFrame, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XOfficeInstance>::UnoObjectPointer (Reference <XInterface> const & a_sourcePointer, typename enable_if <!is_same <XOfficeInstance, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XSynchronousDispatch>::UnoObjectPointer (Reference <XDispatch> const & a_sourcePointer, typename enable_if <!is_same <XSynchronousDispatch, XDispatch>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XIndexAccess>::UnoObjectPointer (Reference <XFrames> const & a_sourcePointer, typename enable_if <!is_same <XIndexAccess, XFrames>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XModel>::UnoObjectPointer (Reference <XComponent> const & a_sourcePointer, typename enable_if <!is_same <XModel, XComponent>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XModel>::UnoObjectPointer (Reference <XInterface> const & a_sourcePointer, typename enable_if <!is_same <XModel, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XNotifyingDispatch>::UnoObjectPointer (Reference <XDispatch> const & a_sourcePointer, typename enable_if <!is_same <XNotifyingDispatch, XDispatch>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XComponent>::UnoObjectPointer (UnoObjectPointer <XBridge> & a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XComponent, XBridge>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XConnector>::UnoObjectPointer (UnoObjectPointer <XInterface> & a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XConnector, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XConnector>::UnoObjectPointer (UnoObjectPointer <XInterface> && a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XConnector, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDesktop>::UnoObjectPointer (UnoObjectPointer <XInterface> & a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop, XInterface>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDesktop2>::UnoObjectPointer (UnoObjectPointer <XInterface> & a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop2, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDesktop>::UnoObjectPointer (UnoObjectPointer <XInterface> && a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop, XInterface>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XDesktop2>::UnoObjectPointer (UnoObjectPointer <XInterface> && a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop2, XInterface>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XModel>::UnoObjectPointer <XComponent> (UnoObjectPointer <XComponent> & a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XModel, XComponent>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectPointer <XModel>::UnoObjectPointer (UnoObjectPointer <XComponent> & a_sourcePointer, bool const & a_pointerIsQueried, typename enable_if <!is_same <XModel, XComponent>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ void UnoObjectPointer <XBridgeFactory>::setPrimaryAddress <XInterface> (UnoObjectPointer <XInterface> & a_sourcePointer, bool const & a_targetAddressIsQueried, typename enable_if <!is_same <XBridgeFactory, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ void UnoObjectPointer <XBridgeFactory>::setPrimaryAddress <XInterface> (UnoObjectPointer <XInterface> && a_sourcePointer, bool const & a_targetAddressIsQueried, typename enable_if <!is_same <XBridgeFactory, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ void UnoObjectPointer <XFrame>::setPrimaryAddress <XDesktop> (UnoObjectPointer <XDesktop> & a_sourcePointer, bool const & a_targetAddressIsQueried, typename enable_if <!is_same <XFrame, XDesktop>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ void UnoObjectPointer <XFrame>::setPrimaryAddress <XDesktop2> (UnoObjectPointer <XDesktop2> & a_sourcePointer, bool const & a_targetAddressIsQueried, typename enable_if <!is_same <XFrame, XDesktop2>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ void UnoObjectPointer <XNamed>::setPrimaryAddress <XInterface> (Reference <XInterface> const & a_sourcePointer, typename enable_if <!is_same <XNamed, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ void UnoObjectPointer <XOfficeInstance>::setPrimaryAddress <XInterface> (Reference <XInterface> const & a_sourcePointer, typename enable_if <!is_same <XOfficeInstance, XInterface>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XTerminateListener> & UnoObjectPointer <UnoConnection::OfficeTerminationQueryListener>::getPointerInReference <XTerminateListener> (bool const & a_pointerIsQueried, typename enable_if <!is_same <UnoConnection::OfficeTerminationQueryListener, XTerminateListener>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDocumentEventListener> & UnoObjectPointer <OfficeInstance>::getPointerInReference <XDocumentEventListener> (bool const & a_pointerIsQueried, typename enable_if <!is_same <OfficeInstance, XDocumentEventListener>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XOfficeInstance> & UnoObjectPointer <OfficeInstance>::getPointerInReference <XOfficeInstance> (bool const & a_pointerIsQueried, typename enable_if <!is_same <OfficeInstance, XOfficeInstance>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XTerminateListener> & UnoObjectPointer <OfficeInstance>::getPointerInReference <XTerminateListener> (bool const & a_pointerIsQueried, typename enable_if <!is_same <OfficeInstance, XTerminateListener>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <::com::sun::star::lang::XEventListener> & UnoObjectPointer <UnoConnection>::getPointerInReference <::com::sun::star::lang::XEventListener> (bool const & a_pointerIsQueried, typename enable_if <!is_same <UnoConnection, ::com::sun::star::lang::XEventListener>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XInstanceProvider> & UnoObjectPointer <UnoConnection::InitialUnoObjectsProvider>::getPointerInReference <XInstanceProvider> (bool const & a_pointerIsQueried, typename enable_if <!is_same <UnoConnection::InitialUnoObjectsProvider, XInstanceProvider>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponentContext> & UnoObjectPointer <LocalUnoObjectsContext>::getPointerInReference <XComponentContext> (bool const & a_pointerIsQueried, typename enable_if <!is_same <LocalUnoObjectsContext, XComponentContext>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponentContext> & UnoObjectPointer <RemoteUnoObjectsContext>::getPointerInReference <XComponentContext> (bool const & a_pointerIsQueried, typename enable_if <!is_same <RemoteUnoObjectsContext, XComponentContext>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponent> & UnoObjectPointer <XBridge>::getPointerInReference <XComponent> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XBridge, XComponent>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XCloseable> & UnoObjectPointer <XModel>::getPointerInReference <XCloseable> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XModel, XCloseable>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XSpreadsheetDocument> & UnoObjectPointer <XModel>::getPointerInReference <XSpreadsheetDocument> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XModel, XSpreadsheetDocument>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XStorable2> & UnoObjectPointer <XModel>::getPointerInReference <XStorable2> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XModel, XStorable2>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XCloseable> & UnoObjectPointer <XComponent>::getPointerInReference <XCloseable> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XComponent, XCloseable>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XModel> & UnoObjectPointer <XComponent>::getPointerInReference <XModel> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XComponent, XModel>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XSpreadsheetDocument> & UnoObjectPointer <XComponent>::getPointerInReference <XSpreadsheetDocument> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XComponent, XSpreadsheetDocument>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XStorable2> & UnoObjectPointer <XComponent>::getPointerInReference <XStorable2> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XComponent, XStorable2>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XNameContainer> & UnoObjectPointer <XComponentContext>::getPointerInReference <XNameContainer> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XComponentContext, XNameContainer>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XTextViewCursorSupplier> & UnoObjectPointer <XController>::getPointerInReference <XTextViewCursorSupplier> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XController, XTextViewCursorSupplier>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponentLoader> & UnoObjectPointer <XDesktop>::getPointerInReference <XComponentLoader> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop, XComponentLoader>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponentLoader> & UnoObjectPointer <XDesktop2>::getPointerInReference <XComponentLoader> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop2, XComponentLoader>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDispatchProvider> & UnoObjectPointer <XDesktop>::getPointerInReference <XDispatchProvider> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop, XDispatchProvider>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDispatchProvider> & UnoObjectPointer <XDesktop2>::getPointerInReference <XDispatchProvider> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XDesktop2, XDispatchProvider>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XNotifyingDispatch> & UnoObjectPointer <XDispatch>::getPointerInReference <XNotifyingDispatch> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XDispatch, XNotifyingDispatch>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XSynchronousDispatch> & UnoObjectPointer <XDispatch>::getPointerInReference <XSynchronousDispatch> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XDispatch, XSynchronousDispatch>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponentLoader> & UnoObjectPointer <XFrame>::getPointerInReference <XComponentLoader> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XFrame, XComponentLoader>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDesktop> & UnoObjectPointer <XFrame>::getPointerInReference <XDesktop> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XFrame, XDesktop>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDispatchProvider> & UnoObjectPointer <XFrame>::getPointerInReference <XDispatchProvider> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XFrame, XDispatchProvider>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XFramesSupplier> & UnoObjectPointer <XFrame>::getPointerInReference <XFramesSupplier> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XFrame, XFramesSupplier>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XBridgeFactory> & UnoObjectPointer <XInterface>::getPointerInReference <XBridgeFactory> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XBridgeFactory>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XComponentContext> & UnoObjectPointer <XInterface>::getPointerInReference <XComponentContext> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XComponentContext>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XConnection> & UnoObjectPointer <XInterface>::getPointerInReference <XConnection> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XConnection>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XConnector> & UnoObjectPointer <XInterface>::getPointerInReference <XConnector> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XConnector>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDesktop> & UnoObjectPointer <XInterface>::getPointerInReference <XDesktop> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XDesktop>::value>::type * a_dummy);
//template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDesktop2> & UnoObjectPointer <XInterface>::getPointerInReference <XDesktop2> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XDesktop2>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDispatchProvider> & UnoObjectPointer <XInterface>::getPointerInReference <XDispatchProvider> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XDispatchProvider>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XDispatchResultListener> & UnoObjectPointer <XInterface>::getPointerInReference <XDispatchResultListener> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XDispatchResultListener>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XFrame> & UnoObjectPointer <XInterface>::getPointerInReference <XFrame> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XFrame>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XSEInitializer> & UnoObjectPointer <XInterface>::getPointerInReference <XSEInitializer> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XInterface, XSEInitializer>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XTextDocument> & UnoObjectPointer <XModel>::getPointerInReference <XTextDocument> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XModel, XTextDocument>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XPropertySet> & UnoObjectPointer <XNamed>::getPointerInReference <XPropertySet> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XNamed, XPropertySet>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XNamed> & UnoObjectPointer <XSpreadsheet>::getPointerInReference <XNamed> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XSpreadsheet, XNamed>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XIndexAccess> & UnoObjectPointer <XSpreadsheets>::getPointerInReference <XIndexAccess> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XSpreadsheets, XIndexAccess>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Reference <XTextRange> & UnoObjectPointer <XTextViewCursor>::getPointerInReference <XTextRange> (bool const & a_pointerIsQueried, typename enable_if <!is_same <XTextViewCursor, XTextRange>::value>::type * a_dummy);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <bool> UnoDatumConverter::convertToNonUnoDatum <sal_Bool, bool> (Sequence <sal_Bool> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <unsigned char> UnoDatumConverter::convertToNonUnoDatum <sal_Int8, unsigned char> (Sequence <sal_Int8> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <short> UnoDatumConverter::convertToNonUnoDatum <sal_Int16, short> (Sequence <sal_Int16> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <long> UnoDatumConverter::convertToNonUnoDatum <sal_Int32, long> (Sequence <sal_Int32> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <long long> UnoDatumConverter::convertToNonUnoDatum <sal_Int64, long long> (Sequence <sal_Int64> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <float> UnoDatumConverter::convertToNonUnoDatum <float, float> (Sequence <float> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <double> UnoDatumConverter::convertToNonUnoDatum <double, double> (Sequence <double> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <char> UnoDatumConverter::convertToNonUnoDatum <sal_Unicode, char> (Sequence <sal_Unicode> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> UnoDatumConverter::convertToNonUnoDatum <OUString, string> (Sequence <OUString> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> UnoDatumConverter::convertToNonUnoDatum <Type, string> (Sequence <Type> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoDatum <Any> (Any const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Sequence <NamedValue> UnoDatumConverter::convertToUnoDatum <Sequence <NamedValue>> (Sequence <NamedValue> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Sequence <Any> UnoDatumConverter::convertToUnoDatum <Any, Any> (list <Any> const & a_nonUnoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Sequence <short> UnoDatumConverter::convertToUnoDatum <short, short> (list <short> const & a_nonUnoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <bool> (bool const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <bool> (optional <bool> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <long> (long const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <string> (string const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <string> (optional <string> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <Sequence <PropertyValue>> (Sequence <PropertyValue> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <Sequence <PropertyValue>> (optional <Sequence <PropertyValue>> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <Sequence <NamedValue>> (Sequence <NamedValue> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <Sequence <NamedValue>> (optional <Sequence <NamedValue>> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <unsigned char, sal_Int8> (unsigned char const * a_unoDatum, int const & a_arrayLength);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <Reference <XCertificate>> (Reference <XCertificate> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Any UnoDatumConverter::convertToUnoAnyDatum <Reference <XCertificate>> (optional <Reference <XCertificate>> const & a_unoDatum);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Sequence <Any> * UnoSequenceHandler::fillSequence <Any, Any> (Sequence <Any> * a_sequence, list <Any> const & a_list);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Sequence <PropertyValue> * UnoSequenceHandler::fillSequence <PropertyValue, PropertyValue> (Sequence <PropertyValue> * a_sequence, list <PropertyValue> const & a_list);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ Sequence <OUString> * UnoSequenceHandler::fillSequence <OUString, string> (Sequence <OUString> * a_sequence, set <string> const & a_set);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <sal_Bool> (Sequence <sal_Bool> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <sal_Int8> (Sequence <sal_Int8> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <sal_Int16> (Sequence <sal_Int16> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <sal_Int32> (Sequence <sal_Int32> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <sal_Int64> (Sequence <sal_Int64> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <float> (Sequence <float> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <double> (Sequence <double> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <sal_Unicode> (Sequence <sal_Unicode> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <OUString> (Sequence <OUString> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <Reference <XInterface>> (Sequence <Reference <XInterface>> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <Type> (Sequence <Type> const & a_sequence);
template __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ string UnoSequenceHandler::toString <Any> (Sequence <Any> const & a_sequence);

