namespace theBiasPlanet {
	namespace unoUtilities {
		namespace constantsGroups {
			using System;
			
			public static class UnoStylesFamiliesConstantsGroup {
				public static readonly BaseUnoStylesFamily c_unoPageStylesFamily = new BaseUnoStylesFamily ("PageStyles", (Int16) 0x08);
				public static readonly BaseUnoStylesFamily c_unoSpreadSheetCellStylesFamily = new BaseUnoStylesFamily ("CellStyles", (Int16) 0x40);
				public static readonly BaseUnoStylesFamily c_unoParagraphStylesFamily = new BaseUnoStylesFamily ("ParaStyles", (Int16) 0x02);
				public static readonly BaseUnoStylesFamily c_unoCharacterStylesFamily = new BaseUnoStylesFamily ("CharStyles", (Int16) 0x01);
				public static readonly BaseUnoStylesFamily c_unoFrameStylesFamily = new BaseUnoStylesFamily ("FrameStyles", (Int16) 0x04);
				public static readonly BaseUnoStylesFamily c_unoListStylesFamily = new BaseUnoStylesFamily ("PseudoStyles", (Int16) 0x10);
				
				// Base class for all the constants in this group
				public class BaseUnoStylesFamily {
					public readonly String c_name;
					public readonly Int16 c_key;
					
					public BaseUnoStylesFamily (String a_name, Int16 a_key) {
						c_name = a_name;
						c_key = a_key;
					}
				}
			}
		}
	}
}

