namespace theBiasPlanet {
	namespace unoUtilities {
		namespace constantsGroups {
			namespace propertyNamesSets {
				using System;
				using theBiasPlanet.coreUtilities.constantsGroups;
				
				public class UnoDocumentTypesCommonPageStylePropertyNamesSet : UnoPropertyNamesSet  {
					public const String c_scriptDirection_short = "WritingMode";
					public const String c_sheetIsHidden_boolean = "Hidden";
					public const String c_userDefinedAttributes_com_sun_star_container_XNameContainer = "UserDefinedAttributes";
					public const String c_wayHowLeftPageLayoutAndRightPageLayoutAreDifferent_com_sun_star_style_PageStyleLayout = "PageStyleLayout";
					public const String c_pagesNumberingType_short = "NumberingType"; // 5 -> none, 4 -> '1, 2, 3, . . .', etc.
					public const String c_pageSize_com_sun_star_awt_Size = "Size"; // in hundredths of a millimeter
					public const String c_pageWidth_long = "Width"; // in hundredths of a millimeter
					public const String c_pageHeight_long = "Height"; // in hundredths of a millimeter
					public const String c_pageIsLandscape_boolean = "IsLandscape";
					public const String c_printerPaperTraySpecificationName_string = "PrinterPaperTray";
    				public const String c_pageLeftMargin_long = "LeftMargin"; // in hundredths of a millimeter
					public const String c_pageRightMargin_long = "RightMargin"; // in hundredths of a millimeter
					public const String c_pageTopMargin_long = "TopMargin"; // in hundredths of a millimeter
					public const String c_pageBottomMargin_long = "BottomMargin"; // in hundredths of a millimeter
					public const String c_pageBordersSynchronizedPadding_long = "BorderDistance"; // in hundredths of a millimeter
					public const String c_pageLeftBorderPadding_long = "LeftBorderDistance"; // in hundredths of a millimeter
					public const String c_pageRightBorderPadding_long = "RightBorderDistance"; // in hundredths of a millimeter
					public const String c_pageTopBorderPadding_long = "TopBorderDistance"; // in hundredths of a millimeter
					public const String c_pageBottomBorderPadding_long = "BottomBorderDistance"; // in hundredths of a millimeter
					public const String c_pageLeftBorder_com_sun_star_table_BorderLine2 = "LeftBorder";
					public const String c_pageRightBorder_com_sun_star_table_BorderLine2 = "RightBorder";
					public const String c_pageTopBorder_com_sun_star_table_BorderLine2 = "TopBorder";
					public const String c_pageBottomBorder_com_sun_star_table_BorderLine2 = "BottomBorder";
					public const String c_pageBackgroundIsTransparent_boolean = "BackTransparent";
					public const String c_pageBackgroundColor_com_sun_star_util_Color = "BackColor";
					public const String c_pageBackgroundGraphicUrl_string = "BackGraphicURL";
					public const String c_pageBackgroundGraphicLocationInPage_com_sun_star_style_GraphicLocation = "BackGraphicLocation";
					public const String c_pageBackgroundGraphicFilterName_string = "BackGraphicFilter";
					public const String c_pageShadowFormat_com_sun_star_table_ShadowFormat = "ShadowFormat";
					public const String c_pageHeaderIsPrinted_boolean = "HeaderIsOn";
					public const String c_pageHeaderIsSharedAmongLefPagesAndRightPages_boolean = "HeaderIsShared";
					public const String c_pageHeaderHeightIsChangedImplicitly_boolean = "HeaderIsDynamicHeight";
					public const String c_pageHeaderHeight_long = "HeaderHeight"; // in hundredths of a millimeter
					public const String c_pageHeaderLeftMargin_long = "HeaderLeftMargin"; // in hundredths of a millimeter
					public const String c_pageHeaderRightMargin_long = "HeaderRightMargin"; // in hundredths of a millimeter
					public const String c_pageHeaderSpacing_long = "HeaderBodyDistance"; // in hundredths of a millimeter
					public const String c_pageHeaderBordersSynchronizedPadding_long = "HeaderBorderDistance"; // in hundredths of a millimeter
					public const String c_pageHeaderLeftBorderPadding_long = "HeaderLeftBorderDistance"; // in hundredths of a millimeter
					public const String c_pageHeaderRightBorderPadding_long = "HeaderRightBorderDistance"; // in hundredths of a millimeter
					public const String c_pageHeaderTopBorderPadding_long = "HeaderTopBorderDistance"; // in hundredths of a millimeter
					public const String c_pageHeaderBottomBorderPadding_long = "HeaderBottomBorderDistance"; // in hundredths of a millimeter
					public const String c_pageHeaderLeftBorder_com_sun_star_table_BorderLine2 = "HeaderLeftBorder";
					public const String c_pageHeaderRightBorder_com_sun_star_table_BorderLine2 = "HeaderRightBorder";
					public const String c_pageHeaderTopBorder_com_sun_star_table_BorderLine2 = "HeaderTopBorder";
					public const String c_pageHeaderBottomBorder_com_sun_star_table_BorderLine2 = "HeaderBottomBorder";
					public const String c_pageHeaderBackgroundIsTransparent_boolean = "HeaderBackTransparent";
					public const String c_pageHeaderBackgroundColor_com_sun_star_util_Color = "HeaderBackColor";
					public const String c_pageHeaderBackgroundGraphicUrl_string = "HeaderBackGraphicURL";
					public const String c_pageHeaderBackgroundGraphicLocationInHeader_com_sun_star_style_GraphicLocation = "HeaderBackGraphicLocation";
					public const String c_pageHeaderBackgroundGraphicFilterName_string = "HeaderBackGraphicFilter";
					public const String c_pageHeaderShadowFormat_com_sun_star_table_ShadowFormat = "HeaderShadowFormat";
					public const String c_pageFooterIsPrinted_boolean = "FooterIsOn";
					public const String c_pageFooterIsSharedAmongLeftPagesAndRightPages_boolean = "FooterIsShared";
					public const String c_pageFooterHeightIsChangedImplicitly_boolean = "FooterIsDynamicHeight";
					public const String c_pageFooterHeight_long = "FooterHeight"; // in hundredths of a millimeter
					public const String c_pageFooterLeftMargin_long = "FooterLeftMargin"; // in hundredths of a millimeter
					public const String c_pageFooterRightMargin_long = "FooterRightMargin"; // in hundredths of a millimeter
					public const String c_pageFooterSpacing_long = "FooterBodyDistance"; // in hundredths of a millimeter
					public const String c_pageFooterBordersSynchronizedPadding_long = "FooterBorderDistance"; // in hundredths of a millimeter
					public const String c_pageFooterLeftBorderPadding_long = "FooterLeftBorderDistance"; // in hundredths of a millimeter
					public const String c_pageFooterRightBorderPadding_long = "FooterRightBorderDistance"; // in hundredths of a millimeter
					public const String c_pageFooterTopBorderPadding_long = "FooterTopBorderDistance"; // in hundredths of a millimeter
					public const String c_pageFooterBottomBorderPadding_long = "FooterBottomBorderDistance"; // in hundredths of a millimeter
					public const String c_pageFooterLeftBorder_com_sun_star_table_BorderLine2 = "FooterLeftBorder";
					public const String c_pageFooterRightBorder_com_sun_star_table_BorderLine2 = "FooterRightBorder";
					public const String c_pageFooterTopBorder_com_sun_star_table_BorderLine2 = "FooterTopBorder";
					public const String c_pageFooterBottomBorder_com_sun_star_table_BorderLine2 =  "FooterBottomBorder";
					public const String c_pageFooterBackgroundIsTransparent_boolean = "FooterBackTransparent";
					public const String c_pageFooterBackgroundColor_com_sun_star_util_Color = "FooterBackColor";
					public const String c_pageFooterBackgroundGraphicUrl_string = "FooterBackGraphicURL";
					public const String c_pageFooterBackgroundGraphicsLocationInFooter_com_sun_star_style_GraphicLocation = "FooterBackGraphicLocation";
					public const String c_pageFooterBackgroundGraphicFilterName_string = "FooterBackGraphicFilter";
					public const String c_pageFooterShadowFormat_com_sun_star_table_ShadowFormat = "FooterShadowFormat";
				}
			}
		}
	}
}

