from typing import List
from com.sun.star.datatransfer import DataFlavor
from com.sun.star.datatransfer import XTransferable
from theBiasPlanet.coreUtilities.clipboardHandling.ClipboardFormatSpecificDataComposite import ClipboardFormatSpecificDataComposite
from theBiasPlanet.unoUtilities.pointers.UnoObjectPointer import UnoObjectPointer
from theBiasPlanet.unoUtilities.unoDataHandling.UnoDatumConverter import UnoDatumConverter

class UnoClipboardFormatSpecificDataComposite (ClipboardFormatSpecificDataComposite):
	def __init__ (a_this: "UnoClipboardFormatSpecificDataComposite", a_underlyingObject: "UnoObjectPointer [XTransferable]") -> None:
		a_this.i_underlyingObject: "UnoObjectPointer [XTransferable]"
		
		a_this.i_underlyingObject = a_underlyingObject
	
	def __del__ (a_this: "UnoClipboardFormatSpecificDataComposite") -> None:
		None
	
	def getFormatNames (a_this: "UnoClipboardFormatSpecificDataComposite") -> List [str]:
		l_clipboardContentsDatumFormats: List [DataFlavor] = a_this.i_underlyingObject.getAddress ().getTransferDataFlavors ()
		l_formatNames: List [str] = []
		l_clipboardContentsDatumFormat: DataFlavor = None
		for l_clipboardContentsDatumFormat in l_clipboardContentsDatumFormats:
			l_formatNames.append (str (l_clipboardContentsDatumFormat))
		return l_formatNames
	
	def getUnderlyingObject (a_this: "UnoClipboardFormatSpecificDataComposite") -> "UnoObjectPointer [XTransferable]":
		return a_this.i_underlyingObject

