from typing import List
import uno
from com.sun.star.lang import XServiceInfo
from unohelper import Base as UnoBase
from theBiasPlanet.coreUtilities.constantsGroups.GeneralConstantsConstantsGroup import GeneralConstantsConstantsGroup
from theBiasPlanet.coreUtilities.messagingHandling.Publisher import Publisher

class UnoComponentBase (UnoBase, XServiceInfo):
	def __init__ (a_this: "UnoComponentBase") -> None:
		
		UnoBase.__init__ (a_this)
		Publisher.logDebugInformation ("### An instance of a local UNO component, '{0:s}', is being created.".format (type (a_this).__name__))
	
	def __del__ (a_this: "UnoComponentBase") -> None:
		Publisher.logDebugInformation ("### An instance of a local UNO component, '{0:s}' is being destructed.".format (type (a_this).__name__))
	
	def getImplementationName (a_this: "UnoComponentBase") -> str:
		return "not specified"
	
	def supportsService (a_this: "UnoComponentBase", a_serviceName: str) -> bool:
		return False
	
	def getSupportedServiceNames (a_this: "UnoComponentBase") -> List [str]:
		return []

