@echo off
SETLOCAL ENABLEDELAYEDEXPANSION

set l_commandLineArguments[0]=
set l_projectDirectoryPathSettingFlag=false
set l_projectDirectoryPath=%CD%
set /A l_commandLineArgumentIndex=7
:START_USER_SPECIFIED_COMMAND_LINE_ARGUMENTS_LOOP
	set l_commandLineArgument=%~1
	set l_commandLineArgument=%l_commandLineArgument:""="%
	if !l_commandLineArgument! == -p (
		set l_projectDirectoryPathSettingFlag=true
	) else (
		if !l_projectDirectoryPathSettingFlag! == true (
			set l_projectDirectoryPath=!l_commandLineArgument!
		) else (
			set l_commandLineArguments[!l_commandLineArgumentIndex!]=!l_commandLineArgument!
			set /A l_commandLineArgumentIndex=!l_commandLineArgumentIndex!+1
		)
		set l_projectDirectoryPathSettingFlag=false
	)
	shift
if NOT "%~1" == "" (goto START_USER_SPECIFIED_COMMAND_LINE_ARGUMENTS_LOOP)

set l_commandLineArguments[0]=-Duser.dir="%CD%"
set l_commandLineArguments[1]=-p
set l_commandLineArguments[2]="!l_projectDirectoryPath!"
set l_commandLineArguments[3]=-Di_projectDirectoryPath="!l_projectDirectoryPath!"
set l_commandLineArguments[4]=-Porg.gradle.daemon.idletimeout=10800000
set l_commandLineArguments[5]=-Porg.gradle.vfs.watch=true
set l_commandLineArguments[6]=-Porg.gradle.jvmargs=-Xmx128M
set l_command=gradle --console plain

echo !l_commandLineArguments[6]!

set /A l_commandLineArgumentIndex=0
:START_AUGMENTED_COMMAND_LINE_ARGUMENTS_LOOP
	if defined l_commandLineArguments[!l_commandLineArgumentIndex!] (
		set l_command=!l_command! !l_commandLineArguments[%l_commandLineArgumentIndex%]!
		echo ### !l_commandLineArguments[%l_commandLineArgumentIndex%]!
		set /A l_commandLineArgumentIndex=!l_commandLineArgumentIndex!+1
		GOTO :START_AUGMENTED_COMMAND_LINE_ARGUMENTS_LOOP
	)

echo !l_command!
setlocal
	set PATHEXT=.bat;.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.com;.exe;.cmd;.vbs;.vbe;.js;.jse;.wsf;.wsh;.msc
	call !l_command!
endlocal 

