from typing import Any
from typing import List
from typing import Optional
from re import split
from theBiasPlanet.coreUtilities.constantsGroups.GeneralConstantsConstantsGroup import GeneralConstantsConstantsGroup

class StringTokenizer:
	def __init__ (a_this: "StringTokenizer", a_targetString: str, a_delimitersRegularExpression: str) -> None:
		i_tokens: Optional [List [str]] = None
		i_numberOfTokens: int = GeneralConstantsConstantsGroup.c_unspecifiedInteger
		i_currentIndex: int = GeneralConstantsConstantsGroup.c_unspecifiedInteger
		
		if (not (a_targetString is None)):
			a_this.i_tokens = split (a_delimitersRegularExpression, a_targetString)
			a_this.i_numberOfTokens = len (a_this.i_tokens)
			a_this.i_currentIndex = GeneralConstantsConstantsGroup.c_iterationStartNumber
		else:
			i_numberOfTokens = 0
			i_currentIndex = GeneralConstantsConstantsGroup.c_iterationStartNumber
	
	def countTokens (a_this: "StringTokenizer") -> int:
		return a_this.i_numberOfTokens - a_this.i_currentIndex
	
	def hasMoreTokens (a_this: "StringTokenizer") -> bool:
		return a_this.i_currentIndex < a_this.i_numberOfTokens
	
	def nextToken (a_this: "StringTokenizer") -> Optional [str]:
		if a_this.i_currentIndex < a_this.i_numberOfTokens:
			a_this.i_currentIndex += 1
			return a_this.i_tokens [a_this.i_currentIndex - 1]
		else:
			return None

