#include "theBiasPlanet/unoUtilities/stringsHandling/UnoExtendedStringHandler.hpp"
#include "theBiasPlanet/hiUnoExtensions/globalUnoServicesProvider/HiUnoExtensionsGlobalUnoServicesProvider.hpp"
#include "theBiasPlanet/hiUnoExtensions/models/CplusplusGreeter.hpp"

using namespace ::theBiasPlanet::unoUtilities::stringsHandling;
using namespace ::theBiasPlanet::hiUnoExtensions::models;

namespace theBiasPlanet {
	namespace hiUnoExtensions {
		namespace globalUnoServicesProvider {
			ImplementationEntry * HiUnoExtensionsGlobalUnoServicesProvider::s_unoComponentEntriesArray ( [] {
				ImplementationEntry * l_unoComponentEntriesArray (new ImplementationEntry [2]);
				(*l_unoComponentEntriesArray).create = CplusplusGreeter::createInstance;
				(*l_unoComponentEntriesArray).createFactory = createSingleComponentFactory;
				(*l_unoComponentEntriesArray).getImplementationName = CplusplusGreeter::getImplementationNameStatically;
				(*l_unoComponentEntriesArray).getSupportedServiceNames = CplusplusGreeter::getSupportedUnoCompoundInterfaceNamesStatically;
				(*l_unoComponentEntriesArray).moduleCounter = 0;
				(*l_unoComponentEntriesArray).nFlags = 0;
				(* (l_unoComponentEntriesArray + 1)).create = 0;
				(* (l_unoComponentEntriesArray + 1)).createFactory = 0;
				(* (l_unoComponentEntriesArray + 1)).getImplementationName = 0;
				(* (l_unoComponentEntriesArray + 1)).getSupportedServiceNames = 0;
				return l_unoComponentEntriesArray;
			} ());
		}
		namespace models {
			string const CplusplusGreeter::c_nameOfThisClass (string ("theBiasPlanet.hiUnoExtensions.models.CplusplusGreeter"));
			set <string> const CplusplusGreeter::c_unoServiceNames ( [] {
				set <string> l_unoServiceNames;
				l_unoServiceNames.insert (string ("theBiasPlanet.hiUnoExtensions.CplusplusGreeter"));
				return l_unoServiceNames;
			} ());
			set <string> const CplusplusGreeter::c_unoCompoundInterfaceNames;
		}
	}
}

