// # Change the package name
package theBiasPlanet.hiUnoExtensions.globalUnoServicesProvider;

import java.util.Set;
import java.util.Map;
import java.util.HashMap;
import com.sun.star.lang.XSingleComponentFactory;
import com.sun.star.registry.XRegistryKey;
import theBiasPlanet.unoUtilities.servicesHandling.GlobalUnoServicesProviderUtility;
import theBiasPlanet.hiUnoExtensions.models.JavaGreeter;

// # Change the class name
public class HiUnoExtensionsGlobalUnoServicesProvider {
	private static final Map <String, Map <Class <?>, Set <String>>> c_implementationClassNameToImplementationClassToUnoServiceNamesMapMap = new HashMap <String, Map <Class <?>, Set <String>>> ();
	static {
		// # Add implementation classes Start
		JavaGreeter.setThisClassToGlobalUnoServicesProvider (c_implementationClassNameToImplementationClassToUnoServiceNamesMapMap);
		// # Add implementation classes End
	}
	
	public static XSingleComponentFactory __getComponentFactory (String a_implementationName) {
		return GlobalUnoServicesProviderUtility.getUnoServiceInstancesFactory (c_implementationClassNameToImplementationClassToUnoServiceNamesMapMap, a_implementationName);
	}
	
	public static boolean __writeRegistryServiceInfo (XRegistryKey a_registryKey) {
		return GlobalUnoServicesProviderUtility.writeGlobalUnoServicesInformationToRegistry (c_implementationClassNameToImplementationClassToUnoServiceNamesMapMap, a_registryKey);
	}
}

