from typing import Generic
from typing import List
from typing import Type
from typing import TypeVar
from typing import cast
from uno import Type as UnoType
from com.sun.star.uno import XInterface

T = TypeVar ("T", bound=object)
U = TypeVar ("U", bound=object)

class MethodConcept:
	None

class PropertyAttribute:
	None

class PropertyConcept:
	None

class PropertySetInfoChange:
	None

class TolerantPropertySetResultType:
	None

class Ambiguous (Generic [T]):
	None

class Defaulted (Generic [T]):
	None

class GetDirectPropertyTolerantResult:
	None

class GetPropertyTolerantResult:
	None

class IllegalTypeException (BaseException):
	None

class IntrospectionException (BaseException):
	None

class NamedValue:
	def __init__ (a_this: "NamedValue", Name: str, Value: object) -> None:
		a_this.Name: str
		a_this.Value: object

class NotRemoveableException (BaseException):
	None

class Optional (Generic [T]):
	None

class Pair (Generic [T, U]):
	None

class Property:
	def __init__ (a_this: "Property") -> None:
		a_this.Name: str
		a_this.Handle: int
		a_this.Type: UnoType
		a_this.Attributes: int

class PropertyChangeEvent:
	None

class PropertyExistException (BaseException):
	None

class PropertySetInfoChangeEvent:
	None

"""
this does not exist in Python UNO.
class PropertyState:
	DIRECT_VALUE: int
	DEFAULT_VALUE: int
	AMBIGUOUS_VALUE: int 
"""

class PropertyStateChangeEvent:
	None

class PropertyValue:
	Name: str
	Handle: int
	Value: object
	
	#def __init__ (a_this: "PropertyValue", Name: str, Value: object, Handle: int) -> None: ...
	def __init__ (a_this: "PropertyValue", Name: str, Handle: int, Value: object, State: int) -> None: ...

class PropertyVetoException (BaseException):
	None

class SetPropertyTolerantFailed:
	None

class StringPair:
	None

class UnknownPropertyException (BaseException):
	None

class XExactName (XInterface):
	None

class XFastPropertySet (XInterface):
	None

class XHierarchicalPropertySet (XInterface):
	None

class XHierarchicalPropertySetInfo (XInterface):
	None

class XIntrospection (XInterface):
	None

class XIntrospectionAccess (XInterface):
	None

class XMaterialHolder (XInterface):
	None

class XMultiHierarchicalPropertySet (XInterface):
	None

class XMultiPropertySet (XInterface):
	None

class XMultiPropertyStates (XInterface):
	None

class XPropertiesChangeListener (XInterface):
	None

class XPropertiesChangeNotifier (XInterface):
	None

class XProperty (XInterface):
	None

class XPropertyAccess (XInterface):
	None

class XPropertyBag (XInterface):
	None

class XPropertyChangeListener (XInterface):
	None

class XPropertyContainer (XInterface):
	None

class XPropertySet (XInterface):
	def getPropertySetInfo (a_this: "XPropertySet") -> "XPropertySetInfo": ...
	def getPropertyValue (a_this: "XPropertySet", PropertyName: str) -> object: ...

class XPropertySetInfo (XInterface):
	def getProperties (a_this: "XPropertySetInfo") -> List [Property]: ...

class XPropertySetInfoChangeListener (XInterface):
	None

class XPropertySetInfoChangeNotifier (XInterface):
	None

class XPropertySetOption (XInterface):
	None

class XPropertyState (XInterface):
	None

class XPropertyStateChangeListener (XInterface):
	None

class XPropertyWithState (XInterface):
	None

class XTolerantMultiPropertySet (XInterface):
	None

class XVetoableChangeListener (XInterface):
	None

