from typing import List
from uno import Type as UnoType
from com.sun.star.uno import XComponentContext
from com.sun.star.uno import XInterface

class SystemDependent:
	None

class ArrayIndexOutOfBoundsException (BaseException):
	None

class ClassNotFoundException (BaseException):
	None

class DisposedException (BaseException):
	None

class EventObject:
	Source: XInterface

class IllegalAccessException (BaseException):
	None

class IllegalArgumentException (BaseException):
	None

class IndexOutOfBoundsException (BaseException):
	None

class InvalidListenerException (BaseException):
	None

class ListenerExistException (BaseException):
	None

class Locale:
	None

class NoSuchFieldException (BaseException):
	None

class NoSuchMethodException (BaseException):
	None

class NoSupportException (BaseException):
	None

class NotInitializedException (BaseException):
	None

class NullPointerException (BaseException):
	None

class ServiceNotRegisteredException (BaseException):
	None

class WrappedTargetException (BaseException):
	None

class WrappedTargetRuntimeException (BaseException):
	None

class XComponent (XInterface):
	def dispose (a_this: "XComponent") -> None: ...
	def addEventListener (a_this: "XComponent", xListener: "XEventListener") -> None: ...
	def removeEventListener (a_this: "XComponent", aListener: "XEventListener") -> None: ...

class XConnectionPoint (XInterface):
	None

class XConnectionPointContainer (XInterface):
	None

class XEventListener (XInterface):
	def disposing (a_this: "XEventListener", Source: EventObject) -> None: ...

class XInitialization (XInterface):
	None

class XLocalizable (XInterface):
	None

class XMain (XInterface):
	None

class XMultiComponentFactory (XInterface):
	def createInstanceWithContext (a_this: "XMultiComponentFactory", aServiceSpecifier: str, Context: XComponentContext) -> XInterface: ...
	def createInstanceWithArgumentsAndContext (a_this: "XMultiComponentFactory", ServiceSpecifier: str, Arguments: List [object], Context: XComponentContext) -> XInterface: ...
	def getAvailableServiceNames (a_this: "XMultiComponentFactory", ) -> List [str]: ...

class XMultiServiceFactory (XInterface):
	None

class XServiceDisplayName (XInterface):
	None

class XServiceInfo (XInterface):
	def getImplementationName (a_this: "XServiceInfo") -> str: ...
	def supportsService (a_this: "XServiceInfo", a_serviceName: str) -> bool: ...
	def getSupportedServiceNames (a_this: "XServiceInfo") -> List [str]: ...

class XServiceName (XInterface):
	None

class XSingleComponentFactory (XInterface):
	None

class XSingleServiceFactory (XInterface):
	None

class XTypeProvider (XInterface):
	def getTypes (a_this: "XTypeProvider") -> List [UnoType]: ...

class XUnoTunnel (XInterface):
	def getSomething (a_this: "XUnoTunnel", aIdentifier: "List [int]") -> int: ...

