#ifndef INCLUDED_THEBIASPLANET_UNODATUMTYPES_HEYUNOEXTENSIONS_SCOLDERPRAISERUNOSERVICE_HPP
#define INCLUDED_THEBIASPLANET_UNODATUMTYPES_HEYUNOEXTENSIONS_SCOLDERPRAISERUNOSERVICE_HPP

#include "sal/config.h"

#include <cassert>

#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/uno/DeploymentException.hpp"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/XComponentContext.hpp"
#include "theBiasPlanet/unoDatumTypes/heyUnoExtensions/XScolder.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/Sequence.hxx"
#include "cppu/unotype.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"

#if defined ANDROID || defined IOS //TODO
#include <com/sun/star/lang/XInitialization.hpp>
#include <osl/detail/component-defines.h>
#endif

#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService
extern "C" ::css::uno::XInterface * SAL_CALL LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService(::css::uno::XComponentContext *, ::css::uno::Sequence< ::css::uno::Any > const &);
#endif

namespace theBiasPlanet { namespace unoDatumTypes { namespace heyUnoExtensions {

class ScolderPraiserUnoService {
public:
    static ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::heyUnoExtensions::XScolder > create1(::css::uno::Reference< ::css::uno::XComponentContext > const & the_context, const ::rtl::OUString& p_message) {
        assert(the_context.is());
        ::css::uno::Sequence< ::css::uno::Any > the_arguments(1);
        ::css::uno::Any* the_arguments_array = the_arguments.getArray();
        the_arguments_array[0] <<= p_message;
        ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::heyUnoExtensions::XScolder > the_instance;
        try {
#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::heyUnoExtensions::XScolder >(::css::uno::Reference< ::css::uno::XInterface >(static_cast< ::css::uno::XInterface * >((*LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_heyUnoExtensions_dot_ScolderPraiserUnoService)(the_context.get(), the_arguments)), ::SAL_NO_ACQUIRE), ::css::uno::UNO_QUERY);
            ::css::uno::Reference< ::css::lang::XInitialization > init(the_instance, ::css::uno::UNO_QUERY);
            if (init.is()) {
                init->initialize(the_arguments);
            }
#else
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::heyUnoExtensions::XScolder >(the_context->getServiceManager()->createInstanceWithArgumentsAndContext( "theBiasPlanet.unoDatumTypes.heyUnoExtensions.ScolderPraiserUnoService", the_arguments, the_context), ::css::uno::UNO_QUERY);
#endif
        } catch (const ::css::uno::RuntimeException &) {
            throw;
        } catch (const ::css::uno::Exception & the_exception) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.heyUnoExtensions.ScolderPraiserUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.heyUnoExtensions.XScolder" + ": " + the_exception.Message, the_context);
        }
        if (!the_instance.is()) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.heyUnoExtensions.ScolderPraiserUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.heyUnoExtensions.XScolder", the_context);
        }
        return the_instance;
    }

private:
    ScolderPraiserUnoService(); // not implemented
    ScolderPraiserUnoService(ScolderPraiserUnoService &); // not implemented
    ~ScolderPraiserUnoService(); // not implemented
    void operator =(ScolderPraiserUnoService); // not implemented
};

} } }

#endif // INCLUDED_THEBIASPLANET_UNODATUMTYPES_HEYUNOEXTENSIONS_SCOLDERPRAISERUNOSERVICE_HPP
