#ifndef INCLUDED_THEBIASPLANET_UNODATUMTYPES_HTTPCLIENT_HTTPCLIENTUNOSERVICE_HPP
#define INCLUDED_THEBIASPLANET_UNODATUMTYPES_HTTPCLIENT_HTTPCLIENTUNOSERVICE_HPP

#include "sal/config.h"

#include <cassert>

#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/uno/DeploymentException.hpp"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/XComponentContext.hpp"
#include "theBiasPlanet/unoDatumTypes/httpClient/XHttpClient.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/Sequence.hxx"
#include "cppu/unotype.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"

#if defined ANDROID || defined IOS //TODO
#include <com/sun/star/lang/XInitialization.hpp>
#include <osl/detail/component-defines.h>
#endif

#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService
extern "C" ::css::uno::XInterface * SAL_CALL LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService(::css::uno::XComponentContext *, ::css::uno::Sequence< ::css::uno::Any > const &);
#endif

namespace theBiasPlanet { namespace unoDatumTypes { namespace httpClient {

class HttpClientUnoService {
public:
    static ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::httpClient::XHttpClient > create1(::css::uno::Reference< ::css::uno::XComponentContext > const & the_context) {
        assert(the_context.is());
        ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::httpClient::XHttpClient > the_instance;
        try {
#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::httpClient::XHttpClient >(::css::uno::Reference< ::css::uno::XInterface >(static_cast< ::css::uno::XInterface * >((*LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_httpClient_dot_HttpClientUnoService)(the_context.get(), ::css::uno::Sequence< ::css::uno::Any >())), ::SAL_NO_ACQUIRE), ::css::uno::UNO_QUERY);
            ::css::uno::Reference< ::css::lang::XInitialization > init(the_instance, ::css::uno::UNO_QUERY);
            if (init.is()) {
                init->initialize(::css::uno::Sequence< ::css::uno::Any >());
            }
#else
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::httpClient::XHttpClient >(the_context->getServiceManager()->createInstanceWithArgumentsAndContext( "theBiasPlanet.unoDatumTypes.httpClient.HttpClientUnoService", ::css::uno::Sequence< ::css::uno::Any >(), the_context), ::css::uno::UNO_QUERY);
#endif
        } catch (const ::css::uno::RuntimeException &) {
            throw;
        } catch (const ::css::uno::Exception & the_exception) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.httpClient.HttpClientUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.httpClient.XHttpClient" + ": " + the_exception.Message, the_context);
        }
        if (!the_instance.is()) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.httpClient.HttpClientUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.httpClient.XHttpClient", the_context);
        }
        return the_instance;
    }

private:
    HttpClientUnoService(); // not implemented
    HttpClientUnoService(HttpClientUnoService &); // not implemented
    ~HttpClientUnoService(); // not implemented
    void operator =(HttpClientUnoService); // not implemented
};

} } }

#endif // INCLUDED_THEBIASPLANET_UNODATUMTYPES_HTTPCLIENT_HTTPCLIENTUNOSERVICE_HPP
