#ifndef __theBiasPlanet_unoUtilities_connectionsHandling_UnoConnectionConnector_hpp__
	#define __theBiasPlanet_unoUtilities_connectionsHandling_UnoConnectionConnector_hpp__
	
	#include <list>
	#include "theBiasPlanet/unoUtilities/connection/UnoConnection.hpp"
	#include "theBiasPlanet/unoUtilities/connectionsHandling/UnoConnectionsFactory.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::theBiasPlanet::unoUtilities::connection;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace connectionsHandling {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoConnectionConnector: public UnoConnectionsFactory {
					public:
						UnoConnectionConnector (UnoObjectPointer <LocalUnoObjectsContext> & a_localUnoObjectsContext);
						virtual ~UnoConnectionConnector ();
						virtual UnoObjectPointer <UnoConnection> connect (string const & a_url, optional <list <UnoConnection::UnoConnectionEventsListener *>> const & a_eventsListeners) final;
				};
			}
		}
	}
#endif

