#ifndef __theBiasPlanet_unoUtilities_unoObjectsContexts_RemoteUnoObjectsContext_hpp__
	#define __theBiasPlanet_unoUtilities_unoObjectsContexts_RemoteUnoObjectsContext_hpp__
	
	#include <list>
	#include <optional>
	#include <string>
	#include <com/sun/star/frame/XDispatch.hpp>
	#include <com/sun/star/security/XCertificate.hpp>
	#include <com/sun/star/xml/crypto/XSecurityEnvironment.hpp>
	#include "theBiasPlanet/unoDatumTypes/unoUtilities/officeInstance/XOfficeInstance.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoComponentBases/UnoComponentBase.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContexts/UnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::frame;
	using namespace ::com::sun::star::lang;
	using namespace ::com::sun::star::security;
	using namespace ::com::sun::star::uno;
	using namespace ::com::sun::star::util;
	using namespace ::com::sun::star::xml::crypto;
	using namespace ::cppu;
	using namespace ::rtl;
	using namespace ::theBiasPlanet::coreUtilities::collections;
	using namespace ::theBiasPlanet::unoDatumTypes::unoUtilities::officeInstance;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoComponentBases;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace unoObjectsContexts {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ RemoteUnoObjectsContext: public UnoObjectsContext {
					private:
						UnoObjectPointer <XOfficeInstance> i_officeInstance;
						UnoObjectPointer <XSecurityEnvironment> i_gnupgUnoSecurityEnvironment;
						UnoObjectPointer <XSecurityEnvironment> i_networkSecurityServicesUnoSecurityEnvironment;
					public:
						RemoteUnoObjectsContext (UnoObjectPointer <XComponentContext> const & a_underlyingUnoObject, string const & a_unoConnectionIdentification);
						virtual ~RemoteUnoObjectsContext ();
						// 'a_this' is required to share the UnoObjectPointer <RemoteUnoObjectsContext> instance, although naked 'this' is available without the argument.
						virtual bool setUpForOfficeInstance (UnoObjectPointer <RemoteUnoObjectsContext> & a_this);
						virtual bool officeInstanceSingletonIsSet ();
						virtual bool incrementCriticalSessionCount (string const & a_connectionIdentification);
						virtual void decrementCriticalSessionCount (string const & a_connectionIdentification);
						virtual int getCriticalSessionCount ();
						virtual bool serverIsPlannedToBeTerminated ();
						virtual UnoObjectPointer <XCertificate> selectCertificateFromCertificatesSequence (Sequence <Reference <XCertificate>> const & a_certificatesSequenceInXCertificate, string const & a_certificateIssuerName, optional <Sequence <sal_Int8>> const & a_certificateSerialNumber);
						virtual UnoObjectPointer <XCertificate> getGnupgCertificate (string const & a_certificateIssuerName);
						virtual UnoObjectPointer <XCertificate> getNetworkSecurityServicesCertificate (string const & a_certificateIssuerName, optional <Sequence <sal_Int8>> const & a_certificateSerialNumber);
				};
			}
		}
	}
#endif

