#ifndef __theBiasPlanet_unoUtilities_unoObjectsContexts_UnoObjectsContext_hpp__
	#define __theBiasPlanet_unoUtilities_unoObjectsContexts_UnoObjectsContext_hpp__
	
	#include <list>
	#include <optional>
	#include <string>
	#include <com/sun/star/uno/Any.h>
	#include <com/sun/star/uno/Reference.hxx>
	#include <com/sun/star/uno/XComponentContext.hpp>
	#include <cppuhelper/compbase1.hxx>
	#include "theBiasPlanet/coreUtilities/collections/NavigableLinkedMap.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoComponentBases/UnoComponentBase.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::uno;
	using namespace ::cppu;
	using namespace ::rtl;
	using namespace ::theBiasPlanet::coreUtilities::collections;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoComponentBases;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace unoObjectsContexts {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoObjectsContext: public ImplInheritanceHelper1 <UnoComponentBase, XComponentContext> {
					protected:
						UnoObjectPointer <XComponentContext> i_underlyingUnoObject;
						NavigableLinkedMap <string, void *> i_localPropertyNameToValueMap;
						UnoObjectPointer <XMultiComponentFactory> i_unoGlobalServicesManager;
					public:
						UnoObjectsContext (UnoObjectPointer <XComponentContext> const & a_underlyingUnoObject, string const & a_unoConnectionIdentification);
						virtual ~UnoObjectsContext ();
						virtual UnoObjectPointer <XComponentContext> & getUnderlyingUnoObject ();
						virtual Any SAL_CALL getValueByName (OUString const & a_propertyName) override;
						virtual void addExtraGlobalProperty (string const & a_propertyName, Any const & a_propertyValue);
						virtual void removeExtraGlobalProperty (string const & a_propertyName);
						virtual void * const getLocalPropertyValue (string const & a_propertyName);
						virtual void addLocalProperty (string const & a_propertyName, void * a_propertyValue);
						virtual void removeLocalProperty (string const & a_propertyName);
						virtual Reference <XMultiComponentFactory> SAL_CALL getServiceManager () override;
						virtual bool SAL_CALL isFromSameOrigin (UnoObjectPointer <UnoObjectsContext>  & a_comparedUnoObjectsContext);
						virtual void getUnoServiceInstance (UnoObjectPointer <XInterface> & a_targetUnoObjectPointer, string const & a_unoServiceName, optional <list <Any>> const & a_instantiationArguments);
						virtual UnoObjectPointer <XInterface> getUnoServiceInstance (string const & a_unoServiceName, optional <list <Any>> const & a_instantiationArguments);
				};
			}
		}
	}
#endif

