namespace theBiasPlanet {
	namespace unoUtilities {
		namespace constantsGroups {
			using System;
			using theBiasPlanet.coreUtilities.constantsGroups;
			using theBiasPlanet.unoUtilities.constantsGroups.propertyNamesSets;
			using theBiasPlanet.unoUtilities.unoDataHandling;
			
			public static class UnoDispatchSlotsConstantsGroup {
				public static readonly BaseUnoDispatchSlot c__uno_StyleNewByExample = new BaseUnoDispatchSlot (".uno:StyleNewByExample", Uno_uno_StyleNewByExampleEnumerablePropertyNamesSet.c_instance);
				public static readonly BaseUnoDispatchSlot c__uno_GoToCell = new BaseUnoDispatchSlot (".uno:GoToCell", Uno_uno_GoToCellEnumerablePropertyNamesSet.c_instance);
				
				// Base class for all the constants in this group
				public class BaseUnoDispatchSlot {
					public readonly unoidl.com.sun.star.util.URL c_urlInURL;
					public readonly BaseEnumerableConstantsGroup <String> c_unoDispatchArgumentPropertyNamesSet;
					
					public BaseUnoDispatchSlot (String a_url, BaseEnumerableConstantsGroup <String> a_unoDispatchArgumentPropertyNamesSet) {
						c_urlInURL = UnoDatumConverter.getUrlInURL (a_url);
						c_unoDispatchArgumentPropertyNamesSet = a_unoDispatchArgumentPropertyNamesSet;
					}
				}
			}
		}
	}
}

