namespace theBiasPlanet {
	namespace unoUtilities {
		namespace unoComponentBases {
			using System;
			using uno.util;
			using unoidl.com.sun.star.lang;
			using theBiasPlanet.coreUtilities.constantsGroups;
			using theBiasPlanet.coreUtilities.messagingHandling;
			
			public class UnoComponentBase: WeakBase, XServiceInfo {
				public UnoComponentBase () {
					Publisher.logDebugInformation (String.Format ("### An instance of a local UNO component, '{0:s}', is being created.", this.GetType ().FullName));
				}
				
				~UnoComponentBase () {
					Publisher.logDebugInformation (String.Format ("### An instance of a local UNO component, '{0:s}, is being destructed.", this.GetType ().FullName));
				}
				
				public virtual String getImplementationName () {
					return "not specified";
				}
				
				public virtual Boolean supportsService (String a_serviceName) {
					return false;
				}
				
				public virtual String [] getSupportedServiceNames () {
					return new String [0];
				}
			}
		}
	}
}

