package theBiasPlanet.unoUtilities.constantsGroups.propertyNamesSets;

public interface UnoDocumentTypesCommonPageStylePropertyNamesSet extends UnoPropertyNamesSet {
	String c_styleName_string = "DisplayName";
	String c_scriptDirection_short = "WritingMode";
	String c_sheetIsHidden_boolean = "Hidden";
	String c_userDefinedAttributes_com_sun_star_container_XNameContainer = "UserDefinedAttributes";
	String c_wayHowLeftPageLayoutAndRightPageLayoutAreDifferent_com_sun_star_style_PageStyleLayout = "PageStyleLayout";
	String c_pagesNumberingType_short = "NumberingType"; // 5 -> none, 4 -> '1, 2, 3, . . .', etc.
	String c_pageSize_com_sun_star_awt_Size = "Size"; // in hundredths of a millimeter
	String c_pageWidth_long = "Width"; // in hundredths of a millimeter
	String c_pageHeight_long = "Height"; // in hundredths of a millimeter
	String c_pageIsLandscape_boolean = "IsLandscape";
	String c_printerPaperTraySpecificationName_string = "PrinterPaperTray";
	String c_pageLeftMargin_long = "LeftMargin"; // in hundredths of a millimeter
	String c_pageRightMargin_long = "RightMargin"; // in hundredths of a millimeter
	String c_pageTopMargin_long = "TopMargin"; // in hundredths of a millimeter
	String c_pageBottomMargin_long = "BottomMargin"; // in hundredths of a millimeter
	String c_pageBordersSynchronizedPadding_long = "BorderDistance"; // in hundredths of a millimeter
	String c_pageLeftBorderPadding_long = "LeftBorderDistance"; // in hundredths of a millimeter
	String c_pageRightBorderPadding_long = "RightBorderDistance"; // in hundredths of a millimeter
	String c_pageTopBorderPadding_long = "TopBorderDistance"; // in hundredths of a millimeter
	String c_pageBottomBorderPadding_long = "BottomBorderDistance"; // in hundredths of a millimeter
	String c_pageLeftBorder_com_sun_star_table_BorderLine2 = "LeftBorder";
	String c_pageRightBorder_com_sun_star_table_BorderLine2 = "RightBorder";
	String c_pageTopBorder_com_sun_star_table_BorderLine2 = "TopBorder";
	String c_pageBottomBorder_com_sun_star_table_BorderLine2 = "BottomBorder";
	String c_pageBackgroundIsTransparent_boolean = "BackTransparent";
	String c_pageBackgroundColor_com_sun_star_util_Color = "BackColor";
	String c_pageBackgroundGraphicUrl_string = "BackGraphicURL";
	String c_pageBackgroundGraphicLocationInPage_com_sun_star_style_GraphicLocation = "BackGraphicLocation";
	String c_pageBackgroundGraphicFilterName_string = "BackGraphicFilter";
	String c_pageShadowFormat_com_sun_star_table_ShadowFormat = "ShadowFormat";
	String c_pageHeaderIsPrinted_boolean = "HeaderIsOn";
	String c_pageHeaderIsSharedAmongLefPagesAndRightPages_boolean = "HeaderIsShared";
	String c_pageHeaderHeightIsChangedImplicitly_boolean = "HeaderIsDynamicHeight";
	String c_pageHeaderHeight_long = "HeaderHeight"; // in hundredths of a millimeter
	String c_pageHeaderLeftMargin_long = "HeaderLeftMargin"; // in hundredths of a millimeter
	String c_pageHeaderRightMargin_long = "HeaderRightMargin"; // in hundredths of a millimeter
	String c_pageHeaderSpacing_long = "HeaderBodyDistance"; // in hundredths of a millimeter
	String c_pageHeaderBordersSynchronizedPadding_long = "HeaderBorderDistance"; // in hundredths of a millimeter
	String c_pageHeaderLeftBorderPadding_long = "HeaderLeftBorderDistance"; // in hundredths of a millimeter
	String c_pageHeaderRightBorderPadding_long = "HeaderRightBorderDistance"; // in hundredths of a millimeter
	String c_pageHeaderTopBorderPadding_long = "HeaderTopBorderDistance"; // in hundredths of a millimeter
	String c_pageHeaderBottomBorderPadding_long = "HeaderBottomBorderDistance"; // in hundredths of a millimeter
	String c_pageHeaderLeftBorder_com_sun_star_table_BorderLine2 = "HeaderLeftBorder";
	String c_pageHeaderRightBorder_com_sun_star_table_BorderLine2 = "HeaderRightBorder";
	String c_pageHeaderTopBorder_com_sun_star_table_BorderLine2 = "HeaderTopBorder";
	String c_pageHeaderBottomBorder_com_sun_star_table_BorderLine2 = "HeaderBottomBorder";
	String c_pageHeaderBackgroundIsTransparent_boolean = "HeaderBackTransparent";
	String c_pageHeaderBackgroundColor_com_sun_star_util_Color = "HeaderBackColor";
	String c_pageHeaderBackgroundGraphicUrl_string = "HeaderBackGraphicURL";
	String c_pageHeaderBackgroundGraphicLocationInHeader_com_sun_star_style_GraphicLocation = "HeaderBackGraphicLocation";
	String c_pageHeaderBackgroundGraphicFilterName_string = "HeaderBackGraphicFilter";
	String c_pageHeaderShadowFormat_com_sun_star_table_ShadowFormat = "HeaderShadowFormat";
	String c_pageFooterIsPrinted_boolean = "FooterIsOn";
	String c_pageFooterIsSharedAmongLeftPagesAndRightPages_boolean = "FooterIsShared";
	String c_pageFooterHeightIsChangedImplicitly_boolean = "FooterIsDynamicHeight";
	String c_pageFooterHeight_long = "FooterHeight"; // in hundredths of a millimeter
	String c_pageFooterLeftMargin_long = "FooterLeftMargin"; // in hundredths of a millimeter
	String c_pageFooterRightMargin_long = "FooterRightMargin"; // in hundredths of a millimeter
	String c_pageFooterSpacing_long = "FooterBodyDistance"; // in hundredths of a millimeter
	String c_pageFooterBordersSynchronizedPadding_long = "FooterBorderDistance"; // in hundredths of a millimeter
	String c_pageFooterLeftBorderPadding_long = "FooterLeftBorderDistance"; // in hundredths of a millimeter
	String c_pageFooterRightBorderPadding_long = "FooterRightBorderDistance"; // in hundredths of a millimeter
	String c_pageFooterTopBorderPadding_long = "FooterTopBorderDistance"; // in hundredths of a millimeter
	String c_pageFooterBottomBorderPadding_long = "FooterBottomBorderDistance"; // in hundredths of a millimeter
	String c_pageFooterLeftBorder_com_sun_star_table_BorderLine2 = "FooterLeftBorder";
	String c_pageFooterRightBorder_com_sun_star_table_BorderLine2 = "FooterRightBorder";
	String c_pageFooterTopBorder_com_sun_star_table_BorderLine2 = "FooterTopBorder";
	String c_pageFooterBottomBorder_com_sun_star_table_BorderLine2 =  "FooterBottomBorder";
	String c_pageFooterBackgroundIsTransparent_boolean = "FooterBackTransparent";
	String c_pageFooterBackgroundColor_com_sun_star_util_Color = "FooterBackColor";
	String c_pageFooterBackgroundGraphicUrl_string = "FooterBackGraphicURL";
	String c_pageFooterBackgroundGraphicsLocationInFooter_com_sun_star_style_GraphicLocation = "FooterBackGraphicLocation";
	String c_pageFooterBackgroundGraphicFilterName_string = "FooterBackGraphicFilter";
	String c_pageFooterShadowFormat_com_sun_star_table_ShadowFormat = "FooterShadowFormat";
}

